Documentation Index

Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt

Use this file to discover all available pages before exploring further.

Post PCI

Prev Next
Post
/cm-rest-api/rest/1/postcm

Post Potential Change Items

Commonly Used Body Parameters

CMiC UI Fieldname Name Description Type Data Length Example Required
Company Code compCode Company Code string 8 “ZZ” Yes
Job Code jobCode Job Code string 10 “ROVER12C” Yes
Chg Code chgCode Change order code string 11 “INT0001” Yes
post date postdate Post date string 11 “2024-12-12” Yes

Body Parameters

Object name description required type example
postCm jobCode Job Code true string "ROVER12C"
postCm chgCode Change Order Code true string "INT0001"
postCm compCode Company Code true string "ZZ"
postCm postDate Post Date true string "2024-12-12"
Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.action+json
Body parameters
object
Example{ "name": "postCm", "parameters": [ { "compCode": "ZZ" }, { "jobCode": "ROVER12C" }, { "chgCode": "INT00001" }, { "postDate": "2024-12-12" } ] }
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.actionresult+json
example-0

Successful Response

{
  "result": "SUCCESS"
}
example-1

Unsuccessful Response

{
  "result": "Change order is not approved, it cannot be posted. (COMP, JOB, CHG): (ZZ, ROVER12C, EXT4486). Approved flag = N, PCI status = PENDING"
}
object
Copyright © 2024 CMiC All Rights Reserved